Re-sign the LOA for an enterprise
curl --request POST \
--url https://api.revdesk.com/v1/caller-trust/enterprise/resign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signer_full_name": "<string>",
"signer_email": "jsmith@example.com",
"signer_title": "<string>",
"consent_acknowledged_at": "2023-11-07T05:31:56Z",
"confirm_carrier_commit": "<string>"
}
'import requests
url = "https://api.revdesk.com/v1/caller-trust/enterprise/resign"
payload = {
"signer_full_name": "<string>",
"signer_email": "jsmith@example.com",
"signer_title": "<string>",
"consent_acknowledged_at": "2023-11-07T05:31:56Z",
"confirm_carrier_commit": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
signer_full_name: '<string>',
signer_email: 'jsmith@example.com',
signer_title: '<string>',
consent_acknowledged_at: '2023-11-07T05:31:56Z',
confirm_carrier_commit: '<string>'
})
};
fetch('https://api.revdesk.com/v1/caller-trust/enterprise/resign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"carrier_enterprise_id": "<string>",
"legal_name": "<string>",
"dba": "<string>",
"status": "<string>",
"rejection_reasons": [
"<string>"
],
"synced_at": "<string>",
"loa_document_id": "<string>",
"reputation": {
"status": "<string>",
"check_frequency": "<string>",
"rejection_reasons": [
"<string>"
],
"last_synced_at": "<string>"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}Enterprise Registration
Re-sign the LOA for an enterprise
Use when the on-file LOA needs to be replaced. Replaces the LOA with the carrier; the old LoaSignature row is preserved for audit. Status resets to PENDING_VETTING.
POST
/
v1
/
caller-trust
/
enterprise
/
resign
Re-sign the LOA for an enterprise
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
UUID — when present, deduplicates repeat submissions. See /api-reference/idempotency.
Body
application/json
Required string length:
2 - 255Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Required string length:
1 - 255Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Allowed value:
"I understand this submits to the carrier"Response
Success
Show child attributes
Show child attributes
⌘I